Modbot Docs
APIAPI referenceAutoMod settings

Update test sample

PUT/api/settings/automod/rules/{kind}/{id}/samples/{sampleId}

Change a sample text.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid
sampleId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/settings/automod/rules/{kind}/497f6eca-6276-4993-bfeb-53cbbbba6f08/samples/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "text": null,    "shouldFlag": true,    "note": null,    "target": null  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "text": "string",  "shouldFlag": true,  "note": null,  "target": "string",  "seeded": true}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.